package com.crm.manager.dao.repository;

import com.crm.rely.backend.core.pojo.table.MarketAgentLinkTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.data.jpa.repository.Lock;
import org.springframework.stereotype.Repository;

import javax.persistence.LockModeType;
import java.util.List;


@Repository
public interface MarketAgentLinkRepository extends BaseRepository<MarketAgentLinkTable> {
    @Lock(LockModeType.PESSIMISTIC_WRITE)
    MarketAgentLinkTable findFirstById(Long id);

    MarketAgentLinkTable getFirstById(Long id);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    List<MarketAgentLinkTable> findAllByIdIn(List<Long> ids);

    List<MarketAgentLinkTable> getAllByIdNotIn(List<Long> ids);
}
